aboutsummaryrefslogtreecommitdiff
path: root/x11/libs
diff options
context:
space:
mode:
authorrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:40:15 +0000
committerrudson <rudson@370017ae-e619-0410-ac65-c121f96126d4>2006-11-16 00:40:15 +0000
commite1fd71080c4979efde305f1fa491d2af2897206a (patch)
treebbdd3da45d402bbba66b4be903261aa7ea101213 /x11/libs
parent9aa8a47b7fc0f91c720c3352841f82575c65763a (diff)
downloadslackbuilds-e1fd71080c4979efde305f1fa491d2af2897206a.tar.gz
slackbuilds-e1fd71080c4979efde305f1fa491d2af2897206a.tar.bz2
movendo libs...
git-svn-id: svn+slack://slack.fluxo.info/var/svn/slackbuilds@711 370017ae-e619-0410-ac65-c121f96126d4
Diffstat (limited to 'x11/libs')
-rwxr-xr-xx11/libs/etk/etk.SlackBuild120
-rw-r--r--x11/libs/etk/slack-required7
-rwxr-xr-xx11/libs/libast/libast.SlackBuild120
3 files changed, 247 insertions, 0 deletions
diff --git a/x11/libs/etk/etk.SlackBuild b/x11/libs/etk/etk.SlackBuild
new file mode 100755
index 00000000..13dd31e2
--- /dev/null
+++ b/x11/libs/etk/etk.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for etk
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building etk are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="etk"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/e17"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/e17/proto/etk" ]; then
+ cd $SRC_DIR/e17/proto/etk
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co e17/proto/etk || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/e17/proto/etk
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+etk: etk
+etk:
+etk: Etk is a toolkit based on the EFL.
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+etk:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+
diff --git a/x11/libs/etk/slack-required b/x11/libs/etk/slack-required
new file mode 100644
index 00000000..d7daf94a
--- /dev/null
+++ b/x11/libs/etk/slack-required
@@ -0,0 +1,7 @@
+eet
+evas
+ecore
+embryo
+edje
+imlib2
+esmart
diff --git a/x11/libs/libast/libast.SlackBuild b/x11/libs/libast/libast.SlackBuild
new file mode 100755
index 00000000..ea8719c9
--- /dev/null
+++ b/x11/libs/libast/libast.SlackBuild
@@ -0,0 +1,120 @@
+#!/bin/bash
+#
+# slackbuild script for libast
+# by rhatto at riseup.net
+#
+
+if [ -s "slack-required" ]; then
+ echo Recomended and required packages for building libast are:
+ cat slack-required | sed -e 's/^/\t/'
+ if [ "$INTERACT" != "no" ]; then
+ echo If you dont have those installed, press Ctrl-C. Otherwise, hit ENTER.
+ read crap
+# else
+# echo Sleeping 3 seconds...
+# sleep 3
+ fi
+fi
+
+CWD="`pwd`"
+
+if [ -f ~/.slackbuildrc ]; then
+ source ~/.slackbuildrc
+elif [ -f /etc/slackbuildrc ]; then
+ source /etc/slackbuildrc
+fi
+
+# default settings
+PACKAGE="libast"
+ARCH=${ARCH:=i486}
+VERSION="`date +%Y%m%d`"
+BUILD=${BUILD:=1rha}
+SRC_DIR=${SRC:=$CWD}
+TMP=${TMP:=/tmp}
+REPOS=${REPOS:=$TMP}
+
+if [ "$ARCH" == "x86_64" ]; then
+ export LDFLAGS="-L/lib64 -L/usr/lib64"
+ LIBDIR=/usr/lib64
+else
+ LIBDIR=/usr/lib
+fi
+
+# ------- error codes for createpkg --------------
+ERROR_WGET=31; ERROR_MAKE=32; ERROR_INSTALL=33
+ERROR_MD5=34; ERROR_CONF=35; ERROR_HELP=36
+ERROR_TAR=37; ERROR_MKPKG=38; ERROR_GPG=39
+ERROR_PATCH=40; ERROR_VCS=41
+
+SRC_DIR="$SRC_DIR/eterm"
+mkdir -p $SRC_DIR
+
+if [ -d "$SRC_DIR/eterm/libast" ]; then
+ cd $SRC_DIR/eterm/libast
+ cvs update || exit $ERROR_VCS
+else
+ cd $SRC_DIR
+ # echo "Please hit ENTER on passwd prompt..."
+ # cvs -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e login || exit $ERROR_VCS
+ cvs -z3 -d:pserver:anonymous@anoncvs.enlightenment.org:/var/cvs/e co eterm/libast || exit $ERROR_VCS
+fi
+
+TMP="$TMP/$PACKAGE"
+rm -rf $TMP
+mkdir -p $TMP
+cd $TMP
+
+cd $SRC_DIR/eterm/libast
+
+make clean &> /dev/null
+./autogen.sh --prefix=/usr --sysconfdir=/etc --libdir=$LIBDIR || exit $ERROR_CONF
+make || exit $ERROR_MAKE
+make DESTDIR=$TMP/package-$PACKAGE install || exit $ERROR_INSTALL
+
+CWD="`pwd`"
+
+cd $TMP/package-$PACKAGE
+
+find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir install
+cat << EOF > install/slack-desc
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+libast: libast
+libast:
+libast: LibAST is the Library of Assorted Spiffy Things. It contains many
+libast: spiffy things, and it is a library. Thus, the ever-so-creative name.
+libast: LibAST has been previously known as libmej, the Eterm helper library
+libast: which nobody really understood and certainly never used.
+libast:
+libast:
+libast:
+libast:
+libast:
+EOF
+
+# docs
+mkdir -p usr/doc/$PACKAGE-$VERSION
+
+DOCS="AUTHORS COPYING ChangeLog CHANGELOG INSTALL NEWS README TODO LICENSE"
+
+for file in $DOCS; do
+ if [ -f "$CWD/$file" ]; then
+ cp $CWD/$file usr/doc/$PACKAGE-$VERSION/
+ fi
+done
+
+makepkg -c y -l y $REPOS/$PACKAGE-$VERSION-$ARCH-$BUILD.tgz || exit $ERROR_MKPKG
+
+if [ "$CLEANUP" == "yes" ]; then
+ rm -rf $TMP
+fi
+